
$width-input: 200px;
$blue: #14bff1;
$danger: #f56c6c;
$info: #909399;
$warning: #e6a23c;
$success: #67c23a;

.flex-pay-btn-box {
  display: flex;
  justify-content: space-between;
}

.details-modal {
  background: #ffffff;
  border-radius: 0.5em;
  box-shadow: 0 10px 20px rgba(black, 0.2);
  left: calc(50% + 165px);
  max-width: 90%;
  position: fixed;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 30em;
  text-align: left;
  max-height: 90vh;
  display: flex;
  flex-direction: column;
  z-index: 10;

  .details-modal-close {
    align-items: center;
    color: #111827;
    display: flex;
    height: 3.5em;
    justify-content: center;
    position: absolute;
    right: 0;
    top: 0;
    width: 3.5em;
    cursor: pointer;
    z-index: 11;

    svg {
      display: block;
    }
  }

  .details-modal-title {
    color: #111827;
    padding: 1em 2em;
    pointer-events: all;
    position: relative;
    text-align: center;

    h1 {
      font-size: 26px;
      font-weight: 600;
      line-height: normal;
    }
  }

  .details-modal-content {
    pointer-events: all;
    overflow: auto;

    .main-content {
      padding: 0 2em;
      text-align: center;

      .line-select-data {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 1rem;

        .right-line {
          width: 200px;
          text-align: left;
        }
      }

      .prices-data {
        margin: 1rem auto;
        padding: 1rem;
        border-radius: 5px;

        &.with-discount {
          border: 1px solid $danger;
        }

        .text-discount {
          color: $danger;
          font-size: 16px;
          font-weight: bold;
        }

        .desc-discount {
          font-size: 13px;
        }

        .text-price {
          font-size: 30px;
          color: $blue;
          font-weight: bold;
          margin-top: 0.5rem;
        }

        .text-price-red {
          font-size: 24px;
          color: $danger;
          text-decoration: line-through;
          font-weight: bold;
        }

        .text-users {
          sup {
            vertical-align: super;
          }

          .users-notice-info {
            margin-top: 3rem;
            font-size: 12px;
          }
        }
      }

      .select-pay-period, .select-pay-currency-period {
        width: $width-input;
        margin: auto;

        .control--select--list--item {
          text-align: left;
        }
      }

      .agg-privacy {
        margin-top: 2rem;
        margin-bottom: 1rem;
        font-size: 12px;
      }

      .pine-promo-box {
        .pine-promo-act {
          span {
            color: rgba(#0f172a, 0.4);
            border-bottom: 1px dashed rgba(#0f172a, 0.4);
            cursor: pointer;
            font-size: 14px;
          }
        }

        .pine-promo-code {
          margin-top: 0.5rem;
          display: flex;
          justify-content: center;

          input {
            border-top-right-radius: unset;
            border-bottom-right-radius: unset;
          }

          button {
            border-top-left-radius: unset;
            border-bottom-left-radius: unset;
          }
        }

        .info-promo {
          .success-promo {
            color: $success;
          }

          .error-promo {
            color: $danger;
          }
        }
      }

      .to-promo-btn {
        padding-top: 0;
        padding-bottom: 0;
      }

      .to-pay-btn {
        margin-top: 1rem;
      }

      .spinner-icon {
        width: 10px;
        height: 10px;
        margin-right: 8px;
      }
    }

    .footer-content {
      background-color: $blue;
      color: white;
      border-bottom-left-radius: 0.5em;
      border-bottom-right-radius: 0.5em;

      .flex-contacts {
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-weight: bold;
        padding: 0.5rem 1rem;

        .contacts-phones {
          font-size: 14px;

          a {
            color: white;
            text-decoration: none;
          }
        }

        .contacts-site {
          font-size: 16px;

          a {
            color: white;
            text-decoration: none;
          }
        }
      }
    }
  }
}


.details-modal-overlay {
  transition: opacity 0.2s ease-out;
  pointer-events: none;
  background: rgba(#0f172a, 0.8);
  position: fixed;
  opacity: 0;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
  z-index: 9;

  details[open] & {
    pointer-events: all;
    opacity: 0.5;
  }
}

details {
  summary {
    list-style: none;

    &:focus {
      outline: none;
    }
    &::-webkit-details-marker {
      display: none;
    }
  }
}

.p-p-modal-overload {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 99998;
  background: rgba(#0f172a, 0.6);

  .p-p-modal {
    width: 700px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 99999;

    iframe {
      width: 100%;
      height: 100%;
      min-height: 760px;
    }
  }
}

// -------------------- alert ------------------------

.pine-alert {
  width: 100%;
  padding: 8px 16px;
  margin: 0 0 1rem;
  box-sizing: border-box;
  border-radius: 4px;
  position: relative;
  overflow: hidden;

  &.pine-alert-success {
    background-color: #f0f9eb;
    color: $success;
  }

  &.pine-alert-warning {
    background-color: #fdf6ec;
    color: $warning;
  }

  &.pine-alert-info {
    background-color: #f4f4f5;
    color: $info;
  }

  &.pine-alert-danger, &.pine-alert-error {
    background-color: #fef0f0;
    color: $danger;
  }

  .pine-alert__content {

    .pine-alert__title {
      font-weight: bold;
      font-size: 13px;
      line-height: 18px;
    }

    .pine-alert__description {
      font-size: 12px;
      margin: 5px 0 0;
    }
  }
}
